clang-tools 6.0.0

Classes | Functions
clang::tidy::objc Namespace Reference

## Classes
class | AvoidNSErrorInitCheck
| Finds usages of [NSSError init]. More...
class | AvoidSpinlockCheck
| Finds usages of OSSpinlock, which is deprecated due to potential livelock problems. More...
class | ForbiddenSubclassingCheck
| Finds Objective-C classes which have a superclass which is documented to not support subclassing. More...
class | ObjCModule
class | PropertyDeclarationCheck

## Functions
static ClangTidyModuleRegistry::Add< ObjCModule > | X ("objc-module", "Adds Objective-C lint checks.")

## Function Documentation

## ◆ X()

static ClangTidyModuleRegistry::Add<ObjCModule> clang::tidy::objc::X | ( | "objc-module" | ,
|  | "Adds Objective-C lint checks." |
| ) |  |
| static